Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum ContactSearch.Status

    java.lang.Object
      java.lang.Enum<ContactSearch.Status>
          com.skype.api.ContactSearch.Status

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<ContactSearch.Status>

Enclosing class:
  ContactSearch

    public static enum ContactSearch.Status

extends java.lang.Enum<ContactSearch.Status>
implements EnumConverting

Possible values for the ContactSearch.P_STATUS property.

Enum Constant Summary
`CONSTRUCTION` Transient state, obtained after submission and actually initiating the search on the network.
`EXTENDABLE` Enough matches are found.
`FAILED` ContactSearch failed.
`FINISHED` The search is finished.
`PENDING` Waiting for results to show up.

Field Summary
`static int` | `CONSTRUCTION_VALUE`
`static int` | `EXTENDABLE_VALUE`
`static int` | `FAILED_VALUE`
`static int` | `FINISHED_VALUE`
`static int` | `PENDING_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static ContactSearch.Status` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static ContactSearch.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContactSearch.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONSTRUCTION

    public static final ContactSearch.Status CONSTRUCTION

  Transient state, obtained after submission and actually initiating the search on the network.

### PENDING

    public static final ContactSearch.Status PENDING

  Waiting for results to show up. This is a transient state.

### EXTENDABLE

    public static final ContactSearch.Status EXTENDABLE

  Enough matches are found. No more OnNewResult events will fire. The feature of extending long search results is about to be deprecated. It is still possible for search objects to occasionally reach that state, so it should be handled in the UI (as FINISHED), but the extending feature itself should not be implemented in your UI.

### FINISHED

    public static final ContactSearch.Status FINISHED

  The search is finished. No more matches are expected. This is a terminal state.

### FAILED

    public static final ContactSearch.Status FAILED

  ContactSearch failed. Better check if the search terms made any sense, with ContactSearch.IsValid. This is a terminal state.

Field Detail

### CONSTRUCTION_VALUE

    public static final int CONSTRUCTION_VALUE

See Also:
  Constant Field Values

### PENDING_VALUE

    public static final int PENDING_VALUE

See Also:
  Constant Field Values

### EXTENDABLE_VALUE

    public static final int EXTENDABLE_VALUE

See Also:
  Constant Field Values

### FINISHED_VALUE

    public static final int FINISHED_VALUE

See Also:
  Constant Field Values

### FAILED_VALUE

    public static final int FAILED_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static ContactSearch.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContactSearch.Status c : ContactSearch.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContactSearch.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static ContactSearch.Status get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.